=== debian/control ===
Source: neutron-dynamic-routing
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.9.6),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:25.0.0~b1),
 python3-neutron-lib (>= 1.26.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-ken (>= 0.3.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests-mock (>= 1.1.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.3.3),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/neutron-dynamic-routing
Homepage: https://opendev.org/openstack/neutron-dynamic-routing

Package: neutron-bgp-dragent
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 neutron-dynamic-routing-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains the Dynamic Routing agent.

Package: neutron-dynamic-routing-common
Architecture: all
Depends:
 neutron-common,
 python3-neutron-dynamic-routing (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenStack Neutron Dynamic Routing - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package contains common files.

Package: python3-neutron-dynamic-routing
Architecture: all
Section: python
Depends:
 python3-alembic (>= 0.9.6),
 python3-eventlet (>= 0.27.0),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:25.0.0~b1),
 python3-neutron-lib (>= 2.12.0),
 python3-os-ken (>= 0.3.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.3.3),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Neutron Dynamic Routing - Python 3 library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 Neutron dynamic routing enables advertisement of self-service (private)
 network prefixes to physical network devices that support dynamic routing
 protocols such as routers, thus removing the conventional dependency on static
 routes.
 .
 It advertises three classes of routes:
  * Host routes for floating IP addresses hosted on non-DVR routers, the
    nexthop is the centralized router.
  * Host routes for floating IP addresses hosted on DVR routers, the nexthop is
    the appropriate compute node.
  * Prefix routes for directly routable tenant networks with address scopes,
    the nexthop is the centralized router, the same for DVR and CVR.
 .
 Neutron dynamic routing consists of service plug-in and agent. The service
 plug-in implements the Networking service extension and the agent manages
 dynamic routing protocol peering sessions. The plug-in communicates with the
 agent through RPC.
 .
 This package provides the Python 3 library.
